Package com.independentsoft.office.drawing.extensions

# Class WebVideoProperties

java.lang.Object
com.independentsoft.office.drawing.extensions.WebVideoProperties

All Implemented Interfaces:
  `IExtensionContent`

public class WebVideoProperties extends Object implements IExtensionContent
Represents the web-video properties extension (`wp15:webVideoPr`) that carries the embedded web video player HTML and its size (uri `{C809E66F-F1BF-436E-b5F7-EEA9579F0CBA}`).

- ## Field Summary

  Fields
  Modifier and Type
  Field
  Description
  `static String`
  `NAMESPACE`

- ## Constructor Summary

  Constructors
  Constructor
  Description
  `WebVideoProperties()`
  Instantiates a new web video properties.
  `WebVideoProperties​(InternalXMLStreamReader reader)`
  Instantiates a new web video properties.

- ## Method Summary

  Modifier and Type
  Method
  Description
  `IExtensionContent`
  `clone()`
  Clone.
  `String`
  `getEmbeddedHtml()`
  Gets the embedded web video player HTML (`embeddedHtml`).
  `String`
  `getH()`
  Gets the height (`h`).
  `String`
  `getW()`
  Gets the width (`w`).
  `void`
  `setEmbeddedHtml​(String embeddedHtml)`
  Sets the embedded web video player HTML (`embeddedHtml`).
  `void`
  `setH​(String h)`
  Sets the height (`h`).
  `void`
  `setW​(String w)`
  Sets the width (`w`).
  `String`
  `toString()`

  ### Methods inherited from class java.lang.Object

  `equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

- ## Field Details

  - ### NAMESPACE

    public static final String NAMESPACE
    See Also:
      Constant Field Values

- ## Constructor Details

  - ### WebVideoProperties

    public WebVideoProperties()
    Instantiates a new web video properties.

  - ### WebVideoProperties

    public WebVideoProperties​(InternalXMLStreamReader reader) throws XMLStreamException
    Instantiates a new web video properties.
    Parameters:
      `reader` - the reader
    Throws:
      `XMLStreamException` - the XML stream exception

- ## Method Details

  - ### clone

    public IExtensionContent clone()
    Description copied from interface: `IExtensionContent`
    Clone.
    Specified by:
      `clone` in interface `IExtensionContent`
    Overrides:
      `clone` in class `Object`
    Returns:
      the extension content

  - ### toString

    public String toString()
    Overrides:
      `toString` in class `Object`

  - ### getEmbeddedHtml

    public String getEmbeddedHtml()
    Gets the embedded web video player HTML (`embeddedHtml`).
    Returns:
      the embedded html

  - ### setEmbeddedHtml

    public void setEmbeddedHtml​(String embeddedHtml)
    Sets the embedded web video player HTML (`embeddedHtml`).
    Parameters:
      `embeddedHtml` - the new embedded html

  - ### getH

    public String getH()
    Gets the height (`h`).
    Returns:
      the h

  - ### setH

    public void setH​(String h)
    Sets the height (`h`).
    Parameters:
      `h` - the new h

  - ### getW

    public String getW()
    Gets the width (`w`).
    Returns:
      the w

  - ### setW

    public void setW​(String w)
    Sets the width (`w`).
    Parameters:
      `w` - the new w